<?
header('Content-Type: text/plain; charset=utf-8');

require_once 'Text/LanguageDetect.php';
$l = new Text_LanguageDetect();

mb_internal_encoding("UTF-8");

//pavyzdžio puslapis
$url = "http://lt.wikipedia.org/wiki/Kalba";
$page = file_get_contents($url);

//Koduotės paieška pagal žymą meta
preg_match('/<meta[^>]+charset=[\'"]*([a-z0-9\-]+)[\'"]*/i', $page, $a);
print_r($a);

if(!$a){
	$charset = "UTF-8";
}else{
	$charset = strtoupper($a[1]);
}

//ištriname tarpus, HTML žymas ir javascript iš puslapio turinio
$search = array('#<script[^>]*?>.*?</script>#si',
		'#<style[^>]*?>.*?</style>#siU',
		'#<[\/\!]*?[^<>]*?>#si',
		'#<![\s\S]*?--[ \t\n\r]*>#',
		'#\s\s+#'
);
$content = preg_replace($search, '', $page);

//200 simbolių iš puslapio turinio turėtų  pakakti atpažinti kalba
$content = mb_substr($content, 0, 200);

//konvertuojame į UTF-8 koduotę, jei yra kita
if($charset != "UTF-8"){
	$content = iconv($charset, "UTF-8", $content);
}

//parodome tekstą
echo $content."\n";

//kalbos pavadinimas
$l->setNameMode(2);
echo $l->detectSimple($content)."\n";

//pagal tekstą aptiktos panašios kalbos
$result = $l->detect($content, 4);
print_r($result);

//Unicode blokų paskirstymas
$blocks = $l->detectUnicodeBlocks($content, true);
print_r($blocks);